<html>
<head>
<meta charset="utf-8"/>
<title>Login/logout</title>
<header>
<h1>GPU Viewer</h1>
</head>

<body>

{% if user %}

<p>{{ welcome_message }} {{ user.email() }} welcome to the application</p>
<p>you can {{ url_string }} <a href='{{ url }}'>here</a></p>
</header>
<section>

	<nav>
		<h3>Add a new GPU:</h3>
		<form method = "post" action ="/" type= "submit">
			Name:	<input type = "text" name = "name"></input>
			<br>
			Manufacturer:	<input type = "text" name = "manufacturer"></input>
			<br>
			GeometryShader:	<input type = "checkbox" name = "geometryShader"></input>
			<br>
			TesselationShader:	<input type = "checkbox" name = "tesselationShader"></input>
			<br>
			ShaderInt16:	<input type = "checkbox" name = "shaderInt16"></input>
			<br>
			SparseBinding:	<input type = "checkbox" name = "sparseBinding"></input>
			<br>
			TextureCompressionETC2:	<input type = "checkbox" name = "textureCompressionETC2"></input>
			<br>
			VertexPipelineStoresAndAtomics:	<input type = "checkbox" name = "vertexPipelineStoresAndAtomics"></input>
			<br>
			<input type="submit"></input>

		</form>
	</nav>

	
	<nav>
		<h3>Search GPU:</h3>
		<form method = "post" action ="/search" type= "submit">
			<br>
			GeometryShader:	<input type = "checkbox" name = "geometryShader_2"></input>
			<br>
			TesselationShader:	<input type = "checkbox" name = "tesselationShader_2"></input>
			<br>
			ShaderInt16:	<input type = "checkbox" name = "shaderInt16_2"></input>
			<br>
			SparseBinding:	<input type = "checkbox" name = "sparseBinding_2"></input>
			<br>
			TextureCompressionETC2:	<input type = "checkbox" name = "textureCompressionETC2_2"></input>
			<br>
			VertexPipelineStoresAndAtomics:	<input type = "checkbox" name = "vertexPipelineStoresAndAtomics_2"></input>
			<br>

			
				<input type="submit" value= "Search"></input>

			</form>
	</nav>

	
		</br>
		<table style="width:90%">
		<tbody>
			<form action="/compare" method="post" id="compare_form">

			<tr>
				<th>Available GPUs: (click to view and edit details) </th>
				<th> 
					
					<input type="submit" value="Compare"  onclick="return check_empty();">
				</th>
			</tr>
				{% for keys in debug %}
				
				<tr>	
					<td><a href="{{ uri_for('view', key_id= keys.key.id() ) }}"> {{keys.key.id()}}</a></td>
					<td><input type="checkbox" name="compare_check" value="{{keys.key.id()}}"></input></td>
						
				</tr>

				{% endfor %}
				
			</form>
		<tbody>
		</table>

	
			
		{% else %}

		<p>Hello guest welcome to the application</p>

		{% endif %}
	
<script type="text/javascript">
  
function check_empty(){
  var check_length = document.forms[2];
  var flag= false;
  var count = 0;

  for(var i =0; i<check_length.compare_check.length; i++){
  	if(check_length.compare_check[i].checked)
  		count++;
  }
  
  if(count>1){

  	flag= true;
  }
  
  else{
  	alert("Please select GPUs for comparison");	
  	
  }
  return flag

}
</script>

</section>
</body>
</html>


<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

header {
  background-color: #666;
  padding: 25px;
  text-align: center;
  font-size: 20px;
  color: white;
}
	
nav {
  float: left;
  width: 40%;
  background: #ccc;
  padding: 20px;
  height: 300px;
}

article {
  float: left;
  padding: 30px;
  width: 47%;
  background-color: #f1f1f1;
  
}

section:after {
  content: "";
  display: table;
  clear: both;
}

</style>